/* Classe de modelisation d'une bille           */
/*                                              */
/* Mars 2021                                    */

#include <stdio.h>

#include "Bille.h"

#include "Maths/Pos3D.h"
#include "Maths/Dir3D.h"

/* Construit la position origine                */

Bille::Bille(void) {
  r = 1.0F;
  dp = 0.0F;
  textureID = 0;
  rt = 0.0F;
  vrt = 0.0F;
}

/* Destructeur                                  */

Bille::~Bille(void) {
}

/* Calcul de la vitesse                         */

double Bille::vitesse(void) {
  return v.norme();
}

/* Methode d'affichage texte                    */

void Bille::print(void) {
  printf("p : ");
  p.print();
  printf("\n");
  printf("v : ");
  v.print();
  printf("\n");
  printf("r : %10.4f\n",r);
}
